Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.deployment
Class WSRPDeploymentFactory

    java.lang.Object
      org.jboss.portal.wsrp.deployment.WSRPDeploymentFactory

All Implemented Interfaces:
  org.jboss.xb.binding.GenericObjectModelFactory, org.jboss.xb.binding.ObjectModelFactory

    public class WSRPDeploymentFactory

extends java.lang.Object
implements org.jboss.xb.binding.GenericObjectModelFactory

Wire the mbeans to install

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Nested Class Summary
`static class` | `WSRPDeploymentFactory.Property`

Constructor Summary
`WSRPDeploymentFactory(ConsumerRegistry consumerRegistry)`

Method Summary
`void` | `addChild(java.lang.Object parent, java.lang.Object child, org.jboss.xb.binding.UnmarshallingContext unmarshallingContext, java.lang.String nsURI, java.lang.String localName)`
`void` | `addChild(RegistrationInfo registrationInfo, WSRPDeploymentFactory.Property property, org.jboss.xb.binding.UnmarshallingContext nav, java.lang.String nsURI, java.lang.String localName)`
`void` | `addChild(WSRPDeployment deployment, WSRPConsumer consumer, org.jboss.xb.binding.UnmarshallingContext nav, java.lang.String nsURI, java.lang.String localName)`
`java.lang.Object` | `completeRoot(java.lang.Object root, org.jboss.xb.binding.UnmarshallingContext nav, java.lang.String nsURI, java.lang.String localName)`
`java.lang.Object` | `newChild(java.lang.Object parent, org.jboss.xb.binding.UnmarshallingContext unmarshallingContext, java.lang.String nsURI, java.lang.String localName, org.xml.sax.Attributes attributes)`
`java.lang.Object` | `newChild(RegistrationInfo registrationInfo, org.jboss.xb.binding.UnmarshallingContext nav, java.lang.String nsURI, java.lang.String localName, org.xml.sax.Attributes attrs)`
`java.lang.Object` | `newChild(WSRPConsumer consumer, org.jboss.xb.binding.UnmarshallingContext nav, java.lang.String nsURI, java.lang.String localName, org.xml.sax.Attributes attrs)`
`java.lang.Object` | `newChild(WSRPDeployment deployment, org.jboss.xb.binding.UnmarshallingContext nav, java.lang.String nsURI, java.lang.String localName, org.xml.sax.Attributes attrs)`
`java.lang.Object` | `newRoot(java.lang.Object root, org.jboss.xb.binding.UnmarshallingContext nav, java.lang.String nsURI, java.lang.String localName, org.xml.sax.Attributes attrs)`
`void` | `setValue(EndpointConfigurationInfo endpointInfo, org.jboss.xb.binding.UnmarshallingContext nav, java.lang.String nsURI, java.lang.String localName, java.lang.String value)`
`void` | `setValue(java.lang.Object parent, org.jboss.xb.binding.UnmarshallingContext unmarshallingContext, java.lang.String nsURI, java.lang.String localName, java.lang.String value)`
`void` | `setValue(RegistrationInfo registrationInfo, org.jboss.xb.binding.UnmarshallingContext nav, java.lang.String nsURI, java.lang.String localName, java.lang.String value)`
`void` | `setValue(WSRPDeploymentFactory.Property property, org.jboss.xb.binding.UnmarshallingContext nav, java.lang.String nsURI, java.lang.String localName, java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSRPDeploymentFactory

    public WSRPDeploymentFactory(ConsumerRegistry consumerRegistry)

Method Detail

### newRoot

    public java.lang.Object newRoot(java.lang.Object root,
                                    org.jboss.xb.binding.UnmarshallingContext nav,
                                    java.lang.String nsURI,
                                    java.lang.String localName,
                                    org.xml.sax.Attributes attrs)

  Specified by:
    `newRoot` in interface `org.jboss.xb.binding.ObjectModelFactory`

### completeRoot

    public java.lang.Object completeRoot(java.lang.Object root,
                                         org.jboss.xb.binding.UnmarshallingContext nav,
                                         java.lang.String nsURI,
                                         java.lang.String localName)

  Specified by:
    `completeRoot` in interface `org.jboss.xb.binding.ObjectModelFactory`

### newChild

    public java.lang.Object newChild(java.lang.Object parent,
                                     org.jboss.xb.binding.UnmarshallingContext unmarshallingContext,
                                     java.lang.String nsURI,
                                     java.lang.String localName,
                                     org.xml.sax.Attributes attributes)

  Specified by:
    `newChild` in interface `org.jboss.xb.binding.GenericObjectModelFactory`

### addChild

    public void addChild(java.lang.Object parent,
                         java.lang.Object child,
                         org.jboss.xb.binding.UnmarshallingContext unmarshallingContext,
                         java.lang.String nsURI,
                         java.lang.String localName)

  Specified by:
    `addChild` in interface `org.jboss.xb.binding.GenericObjectModelFactory`

### setValue

    public void setValue(java.lang.Object parent,
                         org.jboss.xb.binding.UnmarshallingContext unmarshallingContext,
                         java.lang.String nsURI,
                         java.lang.String localName,
                         java.lang.String value)

  Specified by:
    `setValue` in interface `org.jboss.xb.binding.GenericObjectModelFactory`

### newChild

    public java.lang.Object newChild(WSRPDeployment deployment,
                                     org.jboss.xb.binding.UnmarshallingContext nav,
                                     java.lang.String nsURI,
                                     java.lang.String localName,
                                     org.xml.sax.Attributes attrs)

### newChild

    public java.lang.Object newChild(WSRPConsumer consumer,
                                     org.jboss.xb.binding.UnmarshallingContext nav,
                                     java.lang.String nsURI,
                                     java.lang.String localName,
                                     org.xml.sax.Attributes attrs)

### newChild

    public java.lang.Object newChild(RegistrationInfo registrationInfo,
                                     org.jboss.xb.binding.UnmarshallingContext nav,
                                     java.lang.String nsURI,
                                     java.lang.String localName,
                                     org.xml.sax.Attributes attrs)

### setValue

    public void setValue(EndpointConfigurationInfo endpointInfo,
                         org.jboss.xb.binding.UnmarshallingContext nav,
                         java.lang.String nsURI,
                         java.lang.String localName,
                         java.lang.String value)

### setValue

    public void setValue(RegistrationInfo registrationInfo,
                         org.jboss.xb.binding.UnmarshallingContext nav,
                         java.lang.String nsURI,
                         java.lang.String localName,
                         java.lang.String value)

### setValue

    public void setValue(WSRPDeploymentFactory.Property property,
                         org.jboss.xb.binding.UnmarshallingContext nav,
                         java.lang.String nsURI,
                         java.lang.String localName,
                         java.lang.String value)

### addChild

    public void addChild(RegistrationInfo registrationInfo,
                         WSRPDeploymentFactory.Property property,
                         org.jboss.xb.binding.UnmarshallingContext nav,
                         java.lang.String nsURI,
                         java.lang.String localName)

### addChild

    public void addChild(WSRPDeployment deployment,
                         WSRPConsumer consumer,
                         org.jboss.xb.binding.UnmarshallingContext nav,
                         java.lang.String nsURI,
                         java.lang.String localName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD